apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /linuxmasterrace/public/$1
    nginx.ingress.kubernetes.io/upstream-vhost: minio.minio.svc.cluster.kube.cat:9000
    nginx.ingress.kubernetes.io/use-regex: "true"
    nginx.ingress.kubernetes.io/configuration-snippet: |
      rewrite ^/$ /index.html;
      rewrite ^(.*)/$ $1/index.html;
  name: lmr-org
  namespace: lmr
spec:
  tls:
    - hosts:
        - linuxmasterrace.org
      secretName: linuxmasterrace-org-tls
  rules:
    - host: linuxmasterrace.org
      http:
        paths:
          - backend:
              service:
                name: minio
                port:
                  number: 9000
            pathType: Prefix
            path: /(.*)
---
kind: Service
apiVersion: v1
metadata:
  name: minio
  namespace: lmr
spec:
  type: ExternalName
  externalName: "minio.minio.svc.cluster.kube.cat"
